new;
library tsm,optmum;

rndseed 123;

Nobs = 2500;

u = rndn(Nobs,1)*2;
u = u~(0|trimr(u,0,1));
u = u*(1|-0.5);
y = recserar(u,0,0.75);   /* Simulation d'un processus ARIMA(1,0,1) */

cnt = 0|0|0|0;            /* Pas de contraintes sur les parametres  */

_tsm_Mcov = 1;
_fourier = 0;
_print = 1;

output file = arfima.out reset;

t0 = hsec;

sv = 0.5|0|-0.25|3;
{theta,stderr,Mcov,Logl} = arfima(y,1,1,sv,cnt);

print;
print ftos((hsec-t0)/100,"Temps de calcul : %lf secondes",5,3);

output off;
