new;
library tsm,pgraph;
TSMset;

rndseed 123;
Nobs = 500;
x = floor(rndu(Nobs,3)*100);   /* 3 entrees */
b1 = ones(Nobs,1);
b2 = sin(seqa(0,2*pi/Nobs,Nobs)) + rndn(Nobs,1)*0.25;
b3 = recserar(rndn(Nobs,1),10,0.9);
B = b1~b2~b3;
y = sumc(x'.*B') + rndn(Nobs,1);   /* variable expliquee */

{Bfls,u,r2M,r2D} = FLS(y,x,1);            /* Estimation FLS */
Bols = invpd(x'x)*x'y;                    /* Estimation OLS */

graphset;
  _pltype = 6|3|1; _pdate = ""; _pnum = 2;
  title("3[eme] coefficient"); xlabel("Observation");
  _plegstr = "vraie valeur\0FLS\0OLS"; _plegctl = 1;
  Bols = Bols'.*ones(Nobs,1);
  xy(seqa(1,1,Nobs),b3~Bfls[.,3]~Bols[.,3]);




