new;
library tsm,optmum,pgraph;
TSMset;

load gnp[] = gnp.asc;
Nobs = rows(gnp);

output file = llt.out reset;

/* Methode de Whittle */

sv = 5|5|5;

print "Methode de Whittle";
print "------------------";

_tsm_optmum = 0;   /* Algorithme du score */
{beta,stderr,Mcov,Logl} =  sm_LLT(gnp,sv);

/* Methode du maximum de vraisemblance dans le domaine du temps */

print; print;
print "Methode du maximum de vraisemblance dans le domaine du temps";
print "------------------------------------------------------------";


Z = 1~0; d = 0;
T = {1 1,0 1}; c = 0|0; R = {1 0,0 1};
a0 = gnp[1]|0; P0 = zeros(2,2);

proc ml(theta);
  local H,Q,LogL;
  theta = theta^2;  /* sigma^2 */
  H = theta[3];
  Q = (theta[1]~0)|(0~theta[2]);
  call SSM_build(Z,d,H,T,c,R,Q,0);
  call KFiltering(gnp,a0,P0);
  LogL = KF_ml;
  retp(LogL);
endp;

_tsm_optmum = 0;    /* algorithme BHHH */
_tsm_Mcov = 3;      /* Heteroskedasticity covariance */

{beta,stderr,Mcov,Logl} = TD_ml(&ml,sv);

output off;
