new;
library tsm,optmum,pgraph;
TSMset;

rndseed 123456;

t = seqa(1,1,1024);
beta = -0.9|-0.5;
sigma = 0.5;
x = recserar(rndn(1024,1)*sigma,0|0,beta);
x = x + rndn(1024,1)*0.25;

_fourier = 0;
{lambda,I} = PDGM(x);

_smoothing = 25|5|0|0.23;   /* Parzen lag window with bandwidth = 25 */
I2 = smoothing(I);
sgf = sgf_arfima(beta|0,2,0,sigma,lambda);

{H,G,Htilde,Gtilde} = Daubechies(8);
_wcenter = 0;

w = wt(I,H,G,0);
w = extract(w,11|10|9|8|7|6);
y = iwt(w,Htilde,Gtilde,0);

q = trunc(rows(lambda)/2);

graphset;
  _pdate = ""; _pnum = 2; _pnumht = 0.25; _ptitlht = 0.25;
  _pltype = 6|1|3|5;

  begwind;
  window(2,1,0);
  setwind(1);
    title("Periodogramme");
    xy(lambda[1:q],I[1:q]);
  nextwind;
    title("Estimation du spectre");
    ytics(0,2,1,0);
    _plegstr = "fonction spectrale\0Fenetre de Parzen\0Ondelettes";
    _plegctl = {2 5 1 3};
    xy(lambda[1:q],sgf[1:q]~I2[1:q]~y[1:q]);
  endwind;



