new;
library finance,optmum,tsm,pgraph;

#include extract.src;

fichier = "O920331"|"O920407";

date_courante = 920331|920407;
date_echeance = 920615;

pdf = {};
_Bahra_theta = 1;
_opgtol = 0.0005;

i = 1;
do until i > 2;

  name = fichier[i];
  load y = ^name;

  Exercice = y[.,4];
  Prime = y[.,5];
  F0 = y[.,6];
  r = y[.,7]/100;
  tau = Maturite_2Dates(date_courante[i],date_echeance);
  type_option = y[.,2] .== 1;

  _bahra_zero = 70;
  _bahra_infini = 110;

  sigma = 0.01;

  sv = (ln(F0[1])-0.5*sigma^2*tau)|(sigma*sqrt(tau));
  sv = sv;
  _Bahra_int = "intquad1";
  _intord = 24;

  CC = design(1|2|0|0|0);
  c = 0|0|sv|0.5;
  CC = 0;
  sv = sv|sv|0.4;
  coeff = Bahra(Prime,Exercice,r,tau,type_option,sv,CC,c);

  Future = seqa(88,0.05,100);
  pdf = pdf~pdf_2Ln(Future,coeff[1],coeff[2],coeff[3],coeff[4],coeff[5]);

  i = i + 1;

endo;

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6|1|3;
  title("Estimation de la fonction de densite neutre au risque"\
        "\Ldu future PIBOR du 15/06/92");
  _plegstr = "31-03-92\00007-04-92";
  _plegctl = {2 5 1 3.5};
  xtics(89,91,0.5,5);
  graphprt("-c=1 -cf=bahra1.eps -w=5");
  xy(Future,pdf);

