new;
library tsm,optmum;
TSMset;

load x = eds;

Nobs = rows(x);
h = 0.1;

proc CKLS(theta);
  local a,b,sigma,et,vt,M1,M2,M3,M4,M;

  a = theta[1]; b = theta[2]; sigma = theta[3];

  et = x[2:Nobs] - x[1:Nobs-1] - a*(b-x[1:Nobs-1])*h;
  vt = (sigma^2)*h;

  M1 = et;
  M2 = et.*x[1:Nobs-1];
  M3 = et^2 - vt;
  M4 = (et^2 - vt).*x[1:Nobs-1];

  M = M1~M2~M3~M4;

  retp(M);
endp;

output file = eds3.out reset;

_tsm_parnm = "a"|"b"|"sigma";
sv = 0.5|0.5|-0.5;
{theta,stderr,Mcov,Qmin} = gmm(&CKLS,sv);

output off;
