new;
library finance;

#include portef1.inf;

PHI = 20;    /* Preference de l'investisseur pour le return */

sv = ones(6,1)/6; Q = 2*Mcov; R = PHI*mu;

output file = markow3.out reset;

print
"L'agent desire detenir 1/3 de son portefeuille en actions du secteur finance";
print "et 2/3 en actions du secteur informatique";

_Markowitz_A = {1 1 0 0 0 0,0 0 1 1 1 1};
_Markowitz_B = {0.33,0.66};
_Markowitz_C = 0;
_Markowitz_D = 0;
_Markowitz_bnds = 0;

{alpha,RP,SigmaP} = Markowitz(mu,Mcov,PHI);
print alpha;


print "L'agent desire detenir au mois 25% de son portefeuille en actions Painer
Webber";

_Markowitz_A = 0;
_Markowitz_B = 0;
_Markowitz_C = eye(6);
_Markowitz_D = 0|0.25|0|0|0|0;
_Markowitz_bnds = 0;

{alpha,RP,SigmaP} = Markowitz(mu,Mcov,PHI);
print alpha;

print "L'agent desire recomposer son portefeuille";

alpha0 = 0.15|0.20|0.17|0.14|0.04|0.30;

_Markowitz_A = 0;
_Markowitz_B = 0;
_Markowitz_C = 0;
_Markowitz_D = 0;
_Markowitz_bnds = alpha0 + (-0.10~0.10);

{alpha,RP,SigmaP} = Markowitz(mu,Mcov,PHI);

print "Portefeuille d'origine    Nouveau portefeuille";
print alpha0~alpha;

SigmaP0 = sqrt(alpha0'*Mcov*alpha0);
RP0 = alpha0'mu;

print "Rendement moyen ";
print RP0~RP;
print "Risque";
print SigmaP0~SigmaP;

output off;


