new;
library pgraph,tsm,optmum,finance;

load data[4,16] = CZ940215.dat;
x = seqa(1/12,1/12,180);

coefficients = NelsonSiegel(data,1,0,0);
R = NelsonSiegel_CourbeDesTaux(coefficients,x);

coefficients = NelsonSiegel(data,1,1~1~0~0,0.058);
R1 = NelsonSiegel_CourbeDesTaux(coefficients,x);

coefficients = NelsonSiegel(data,1,1~0~0~0,0.06);
R2 = NelsonSiegel_CourbeDesTaux(coefficients,x);

graphset;
  _pdate = ""; _pnum = 2;
  title("Courbe des Taux au 15/02/94");
  _pltype = 6|1|3|2;
  _plwidth = 0|0|0|10;
  xlabel("maturite (annees)"); ylabel("Taux d'interet");
  xtics(0,15,1,12);
  ytics(0.05,0.065,0.005,5);
  _plegstr = "Estimation non contrainte"\
             "\000TC = 5.8%"\
             "\000TL = 7%";
  _plegctl = {2 5 4.45 1.1};
  xy(x,R~R1~R2);


