new;
library pgraph,tsm,optmum,finance;

load data[4,16] = CZ940215.dat;

coefficients = NelsonSiegel(data,1,0,0);

x = seqa(1/12,1/12,180);

R = NelsonSiegel_CourbeDesTaux(coefficients,x);
F = NelsonSiegel_TauxATerme(coefficients,x,0);

F1 = NelsonSiegel_TauxATerme(coefficients,x,2);
F2 = NelsonSiegel_TauxATerme(coefficients,x,5);

graphset;
  _pdate = ""; _pnum = 2;
  title("Taux a terme au 15/02/94");
  _pltype = 6|1|3|2;
  _plwidth = 0|0|0|10;
  xlabel("maturite (annees)"); ylabel("Taux d'interet");
  xtics(0,15,1,12);
  _plegstr = "Taux zero-coupon"\
             "\000Taux a terme instantanne"\
             "\000Taux a terme 2 ans"\
             "\000Taux a terme 5 ans";
  _plegctl = {2 5 4.45 1.1};
  xy(x,R~F~F1~F2);



