new;
library tsm,optmum;
TSMset;

load x[1000,1] = ou.dat;

h = 0.1;

proc ml(theta);
  local a,b,sigma,k1,k2,e,logl;

  a = theta[1]; b = theta[2]; sigma = theta[3];
  k1 = exp(-a*h);
  k2 = sigma^2*(1-exp(-2*a*h))/(2*a);
  e = x[2:1000]-k1.*x[1:999]-b*(1-k1);
  logl = -0.5*ln(2*pi) - 0.5*ln(k2) - 0.5*e^2/k2;

  retp(logl);
endp;

output file = ou1.out reset;

_tsm_parnm = "a"|"b"|"sigma";
{theta,stderr,Mcov,Logl} = TD_ml(&ml,0.5|0.5|-0.5);

output off;

