new;
library pgraph;

load ohm_c;
load ohm_p;

Prix_Call = ohm_c[.,5];
Prix_Put = ohm_p[.,5];

Nobs = rows(Prix_Call);

SK = (Prix_Call./Prix_Put) - 1;

graphset;
  _pnum = 2; _pdate = "";
  fonts("simplex simgrma");
  title("Prime de Skewness"\
        "\Lpour les options 3 mois hors de la monnaie (\202a \201=10%)"\
        " sur future PIBOR");
  let lab = "1992" "1993" "1994" "1995" "1996";
  asclabel(lab,0);
  xtics(1,Nobs,Nobs/4,11);
  ytics(-1,1,1,10);
  _pline = 1~6~0~0~100000~0~0~7~0;
  xy(seqa(1,1,Nobs),SK);



