new;
library tsm,pgraph;
TSMset;

rndseed 123;

Nobs = 500; S = 250;
z = 2; w = 5;

x = floor(rndu(Nobs,1)*100);
b = ones(S,1)*z|ones(Nobs-S,1)*w;
y = 3 + x.*b + rndn(Nobs,1);
x = ones(Nobs,1)~x;

_print = 0;
{Bfls1,u,r2M,r2D} = FLS(y,x,1);
{Bfls2,u,r2M,r2D} = FLS(y,x,10^6);
{Brls,stderr,u,rss} = RLS(y,x);

graphset;
  _pltype = 6|3|1;
  fonts("simplex simgrma");
  _plegstr = "FLS \202m\201 = 1\0FLS \202m\201 = 10[6]\0RLS";
  _plegctl = 1;
  _pdate = ""; _pnum = 2; xlabel("Observation");
  xy(seqa(1,1,Nobs),Bfls1[.,2]~Bfls2[.,2]~Brls[.,2]);

