new;
library tsm,pgraph;
TSMset;

rndseed 123;

Nobs = 1000;
z = 2|2.5|2.25|1.5|2|2.5|3|2.75;

x1 = floor(rndu(Nobs,1)*100);
x2 = floor(rndu(Nobs,2)*100);
b1 = {}; b2 = 2|3;
i = 1;
do until i > 8;
  b1 = b1 | z[i]*ones(125,1);
  i = i + 1;
endo;

y = 4 + x1.*b1 + x2*b2 + rndn(Nobs,1);
x = ones(Nobs,1)~x1~x2;

{Bfls,u,r2M,r2D} = FLS(y,x,10000);

graphset;
  _pdate = ""; _pnum = 2; xlabel("Observation");
  xy(seqa(1,1,Nobs),Bfls[.,2]~b1);

  ytics(1,5,1,0);
  _pltype = 6|1|3;
  xy(seqa(1,1,Nobs),Bfls[.,1 3 4]);
