/*
**  ROBINSON [1995], Gaussian semiparametric estimation of long range
**  dependence, Annals of Statistics, 23, 1630-1661
*/

new;
library tsm,optmum;
TSMset;

#include robinson.src;
#include hurst.src;

output file = hurst.out reset;

_fourier = 0;
_print = 0;
__output = 0;

i = 1;
do until i > 10;

  x = rndn(1000,1);

  H1 = Robinson(x,0,1,0);
  {H2,RS} = HURST(x,2,5);
  print H1~H2;

  i = i + 1;

endo;

output off;

