new;
library pgraph;

#include tridiag.src;
#include edp2.src;

let N = 100 200 300 400 500 600 700;

H1 = {}; H2 = H1;

j = 1;
do until j > rows(N);
  n_ = N[j];
  b = seqa(1,1,n_);
  A = tridiag_create(rndn(n_,1),rndn(n_,1),rndn(n_,1));

  t1 = hsec;
    x1 = b/A;
  t2 = hsec;
    x2 = Tridiagonal(A,b);
  t3 = hsec;
  h1 = h1 | (t2-t1)/100;
  h2 = h2 | (t3-t2)/100;
  j = j+1;
endo;

H1 = trimr(H1,1,0);
H2 = trimr(H2,1,0);

graphset;
_pdate="";
xlabel("Rang du systeme");
ylabel("t]LU[/t]TRIDIAG[");
xy(trimr(N,1,0),H1./H2);

