new;
library finance;

#include portef1.inf;

Proportion = {};
Rendement = {};
Risque = {};

PHI = 20;
do until PHI > 70;
  {alpha,RP,SigmaP} = Markowitz(mu,Mcov,PHI);
  Proportion = Proportion~alpha;
  Rendement = Rendement~RP;
  Risque = Risque~SigmaP;
  PHI = PHI + 10;
endo;


cls;

output file = markow1.out reset;

format /rd 10,3;
print "===================================================================";
print "             PREFERENCE DE L'INVESTISSEUR POUR LE RETURN           ";
print "-------------------------------------------------------------------";
print seqa(20,10,6)';
print "===================================================================";
print "                    RENDEMENT MOYEN DU PORTEFEUILLE                ";
print "-------------------------------------------------------------------";
print Rendement;
print "===================================================================";
print "                         RISQUE DU PORTEFEUILLE                    ";
print "-------------------------------------------------------------------";
print Risque;
print "===================================================================";
print "                       COMPOSITION DU PORTEFEUILLE                 ";
print "-------------------------------------------------------------------";
print proportion;
print "===================================================================";

output off;

