new;
library tsm,optmum;
TSMset;

load x[500,1] = mbg.dat;

h = 0.1;

proc ml(theta);
  local e,mu,sigma,logl;

  mu = theta[1]; sigma = theta[2];
  e = ln(x[2:500]./x[1:499]) - (mu-0.5*sigma^2)*h;
  logl = -0.5*ln(2*pi) - 0.5*ln(sigma^2*h) - 0.5*e^2/(sigma^2*h);

  retp(logl);
endp;

output file = mbg1.out reset;

sv = 0|0.25;
_tsm_parnm = "mu"|"sigma";
{theta,stderr,Mcov,Logl} = TD_ml(&ml,sv);

output off;

