new;
library tsm,optmum;
TSMset;

load x[500,1] = mbg.dat;

Nobs = rows(x);
h = 0.1;

proc Moments(theta);
  local mu,sigma,e,M1,M2,M;

  mu = theta[1]; sigma = theta[2];
  e = ln(x[2:Nobs]./x[1:Nobs-1]) - (mu-0.5*sigma^2)*h;
  M1 = e;
  M2 = e^2-(sigma^2*h);
  M = M1~M2;

  retp(M);
endp;

output file = mbg2.out reset;

_tsm_parnm = "mu"|"sigma";
{theta,stderr,Mcov,Qmin} = gmm(&Moments,0|0.25);

output off;


