new;
library tsm,optmum;
TSMset;

load x[1000,1] = ou.dat;

h = 0.1;

proc Moments(theta);
  local a,b,sigma,k1,k2,e,M1,M2,M3,M;

  a = theta[1]; b = theta[2]; sigma = theta[3];
  k1 = exp(-a*h);
  k2 = sigma^2*(1-exp(-2*a*h))/(2*a);
  e = x[2:1000]-k1.*x[1:999]-b*(1-k1);

  M1 = e;
  M2 = e^2-k2;
  M3 = e.*x[1:999];
  M = M1~M2~M3;

  retp(M);
endp;


output file = ou2.out reset;

_tsm_parnm = "a"|"b"|"sigma";
sv = rndu(3,1);
{theta,stderr,Mcov,Qmin} = gmm(&Moments,sv);

output off;

