new;
library tsm,pgraph,finance,pgraph;

/* Primes de 9 options d'achat */

K = seqa(80,5,9);
sigma = 0.15;
tau = 90/360;
r = 0.10;

_type_option = "call";
Primes = Black(100,K,sigma,tau,r);

F = seqa(80,0.5,80);

{lnF,pdf,cdf} = Estimation_PDF_Future(Primes,K,r,tau,F);

graphset;
  begwind;
  window2(1,2,0,1);
  setwind(1);

    _pdate = ""; _ptitlht = 1.2; _pnum = 0; _paxes = 0;
    title("Estimation de la mesure de probabilite neutre au risque\Lde ln(F)");
    draw;

  setwind(2);
    graphset;
    _pnum = 2; _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.25;
    title("Fonction de densite estimee");
    xlabel("LN(F)");
    xy(lnF,pdf);
  setwind(3);
    title("Fonction de repartition estimee");
    xy(lnF,cdf);
  endwind;



