new;
library finance;

proc f1(x);
  local y;
  y = x - cos(x);
  retp(y);
endp;

proc f2(x);
  local y;
  y = x.*x + 2*exp(x) + sin(cos(x)-2*x) - 8;
  retp(y);
endp;

proc f(x);
  local y1,y2,y;
  y1 = f1(x[1]);
  y2 = f2(x[2]);
  y = y1|y2;
  retp(y);
endp;

sol1 = bisection(&f1,0,2);
sol2 = bisection(&f2,0,2);
sol = bisection(&f,0|0,2|2);

output file = secante.out reset;

print ftos(sol1,"solution de la premiere equation : %lf",5,5);
print ftos(sol2,"solution de la deuxieme equation : %lf",5,5);

print; print;
print "solution de l'equation multidimensionnelle :";
print sol;

output off;
