new;
library optmum,finance,pgraph;

F0 = 100;
sigma = 0.15;
tau = 90/360;
r = 0.10;
K = seqa(90,5,5);

_type_option = "call";
C = Black(F0,K,sigma,tau,r);
_type_option = "put";
P = Black(F0,K,sigma,tau,r);

Prime = C|P;
Exercice = K|K;
type_option = ones(5,1)|zeros(5,1);

_sherrick_zero = 0.1;
_sherrick_infini = 1000;

sv = 4|.1;

_sherrick_burr3 = 1;

{coeff_LN,coeff_Burr3} =
Sherrick_Garcia_Tirupattur(Prime,Exercice,r,tau,type_option,sv);

Future = seqa(80,1,40);
pdf = pdf_LN(Future,ln(F0)-0.5*sigma^2*tau,sigma*sqrt(tau));
pdf1 = pdf_Ln(Future,coeff_LN[1],coeff_LN[2]);
pdf2 = pdf_Burr3(Future,coeff_Burr3[1],coeff_Burr3[2],coeff_Burr3[3]);

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6|1|3;
  title("Estimation de la fonction de densite neutre au risque");
  _plegstr = "pdf theorique\0pdf LN estimee\0pdf Burr III estimee";
  _plegctl = {2 5 3 1};
  xy(Future,pdf~pdf1~pdf2);









