new;
library finance,pgraph;

F0 =  100;
sigma = 0.15;
tau = 90/360;
r = 0.10;

alpha = seqa(0,1/100,11);

_type_option = "call";
K = F0*(1+alpha);
Prix_Call = Black(F0,K,sigma,tau,r);

_type_option = "put";
K = F0./(1+alpha);
Prix_Put = Black(F0,K,sigma,tau,r);

Skewness = (Prix_Call./Prix_Put) - 1;

graphset;
  _pdate = ""; _pnum = 2;
  fonts("simplex simgrma");
  title("Prime theorique de skewness"\
       "\Ldans le modele de Black @[1976@]");
  xlabel("\202a\201"); ylabel("SK");
  xtics(0,0.10,0.01,10); ytics(0,0.10,0.01,10);
  xy(alpha,Skewness);
