new;
library tsm,pgraph,finance,pgraph;

#include extract.src;

load data = smile;

date_courante = 920402;
date_echeance = 920615;

{F1,K1,sigma1} = smile_curve(data,date_courante,date_echeance,0.05,0.5);

date_courante = 920102;
date_echeance = 920315;

{F2,K2,sigma2} = smile_curve(data,date_courante,date_echeance,0.05,0.5);

graphset;
  begwind;
  window2(1,2,0,1);
  setwind(1);

    _pdate = ""; _ptitlht = 1.25; _pnum = 0; _paxes = 0;
    title("SMILE CURVE\LFuture PIBOR");
    draw;

  setwind(3);
    graphset;
    _pnum = 2; _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.25;
    title("courbe du 02/04/92\L(options d'echeance 06/92)");
    xlabel("K");
    _pline = 1~6~F1~0~F1~100~0~7~0;
    xy(K1,sigma1);
  setwind(2);
    title("courbe du 03/01/92\L(options d'echeance 03/92)");
    _pline = 1~6~F2~0~F2~100~0~7~0;
    xy(K2,sigma2);
  endwind;



proc (3) = Smile_curve(base,date_courante,date_echeance,a,b);
  local y,tau,Nobs,sigma,i;
  local K,Prime,F0,r;

  {y,tau} = Extraction_smile_curve(base,date_courante,date_echeance);

  if ismiss(y);
    retp(error(0),error(0),error(0));
  endif;

  Nobs = rows(y);
  sigma = zeros(Nobs,1);

  i = 1;
  do until i > rows(y);

    K = y[i,4];
    Prime = y[i,5];
    F0 = y[i,6];
    r = y[i,7]/100;

    if y[i,2] == 1;
      _type_option = "call";
    else;
      _type_option = "put";
    endif;
    sigma[i] = volimp_Future(F0,K,tau,r,Prime,0.001,0.5);
    i = i + 1;
  endo;

  K = y[.,4];
  F0 = y[1,6];
  retp(F0,K,sigma);
endp;


